---
title: Window.name
slug: Web/API/Window/name
tags:
  - API
  - HTML DOM
  - Property
  - Reference
---
<div>{{APIRef}}</div>

<p class="summary"><span class="seoSummary">The <code>Window.name</code> property gets/sets the name of the window's browsing context.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>string</var> = window.name;
window.name = <var>string</var>;
</pre>

<h2 id="Description">Description</h2>

<p>The name of the window is used primarily for setting targets for hyperlinks and forms. Browsing contexts do not need to have names.</p>

<p>Modern browsers will reset <code>Window.name</code> to an empty string if a tab loads a page from a different domain, and restore the name if the original page is reloaded (e.g. by selecting the "back" button). This prevents an untrusted page from accessing any information that the previous page might have stored in the property (potentially the new page might also modify such data, which might then be read by the original page if it was reloaded).</p>

<p><code>Window.name</code> has also been used in some frameworks for providing cross-domain messaging (e.g. <a href="http://www.thomasfrank.se/sessionvars.html">SessionVars</a> and Dojo's <a href="https://www.sitepen.com/blog/2008/07/22/windowname-transport/">dojox.io.windowName</a>) as a more secure alternative to JSONP. Modern web applications hosting sensitive data should, however, not rely on <code>window.name</code> for cross-domain messaging — that is not its intended purpose and there are safer/better ways of sharing information between windows. <code><a href="/en-US/docs/Web/API/Window/postMessage">Window.postMessage()</a></code> is the recommended mechanism.</p>

<div class="notecard note">
<p><strong>Note</strong>: <code>window.name</code> converts all stored values to their string representations using the <code>toString</code> method.</p>
</div>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;script&gt;
    // Open a tab with a specific browsing context name
    const otherTab = window.open("url1", "_blank");
    if (otherTab)
        otherTab.name = "other-tab";
&lt;/script&gt;
&lt;a href="url2" target="other-tab"&gt;This link will be opened in the other tab.&lt;/a&gt;
</pre>

<div class="notecard note"></div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'browsers.html#dom-name', 'Window.name')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'browsers.html#dom-name', 'Window.name')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.name")}}</p>
